Bug 224827 - JavaFX Visual Debugger needs update to work with FX SDK 8
Summary: JavaFX Visual Debugger needs update to work with FX SDK 8
Status: VERIFIED FIXED
Alias: None
Product: javafx
Classification: Unclassified
Component: Debugger (show other bugs)
Version: 7.3
Hardware: PC Windows 7
: P2 normal (vote)
Assignee: Petr Somol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-14 08:58 UTC by Petr Somol
Modified: 2013-03-20 13:26 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2013-01-14 08:58:35 UTC
Current FX visual debugger implementation in NB uses quasi-public methods that will be removed from FX SDK 8. Visual debugger in NB needs to be updated to use the new FX SDK public methods that replace the old ones. Details copied below from mail communication:

----------------
This is a heads-up about a change coming in JavaFX 8 next week in b73:

http://javafx-jira.kenai.com/browse/RT-27479

This change will remove the following "quasi-public" methods from FX 8 (all of which have equivalent public API methods that were added in FX 2.2):

Scene:
renderToImage(Object)
renderToImage(Object,float)

Image:
impl_toExternalImage(Object)
impl_fromExternalImage(Object)
impl_isExternalFormatSupported(Class)

If you use any of the above methods, you will need to migrate to the new methods: snapshot in place of renderToImage and SwingFXUtils.toFXImage/fromFXImage in place of impl_fromExternalImage/impl_toExternalImage.
Comment 1 Petr Somol 2013-02-11 14:57:34 UTC
fixed in jetmain
http://hg.netbeans.org/jet-main/rev/06612b1be9d7
Comment 2 Quality Engineering 2013-02-12 01:41:00 UTC
Integrated into 'main-golden', will be available in build *201302112300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/06612b1be9d7
User: Petr Somol <psomol@netbeans.org>
Log: #224827 - JavaFX Visual Debugger needs update to work with FX SDK 8
Comment 3 Marian Mirilovic 2013-03-07 07:30:01 UTC
Petr,
I expect you will verify this bug by yourself as you are the reporter. Thanks in advance.
Comment 4 Petr Somol 2013-03-07 13:27:18 UTC
verified on FX SDK 8 b80
Comment 5 Petr Somol 2013-03-07 13:39:43 UTC
06612b1be9d7 transplanted to 9def850c415f in release73 branch
Comment 6 Quality Engineering 2013-03-11 01:13:00 UTC
Integrated into 'releases', will be available in build *201303102200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/9def850c415f
User: Petr Somol <psomol@netbeans.org>
Log: #224827 - JavaFX Visual Debugger needs update to work with FX SDK 8
Comment 7 Marian Mirilovic 2013-03-20 13:26:34 UTC
checked that correct changeset is available in release73 branch for patch 1 - verified